1. Direct API
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
        POST
      • processCard
        POST
      • processAuth
        POST
      • processCapture
        POST
      • processBatch
        POST
      • retrieveBatch (CSV)
        POST
      • retrieveBatch (JSON Response)
        GET
      • retrieveBatch (JSON Notify)
        GET
      • refundCard
        POST
      • queryCard
        POST
      • processDDebit
        POST
      • processDDebitAuth
        POST
      • processVoid
        POST
      • verifyCard
        POST
      • queryDD
        POST
      • queryBIN
        POST
      • getSettlement
        POST
      • checkEnrollment
        POST
      • checkPARes
        POST
      • addBlacklistedCard
        POST
      • removeBlacklistedCard
        POST
      • queryBlacklistedCard
        POST
      • simulateNotify
        POST
      • getSurcharge
        POST
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Direct API

refundCard

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data '{
    "method": "refundCard",
    "merchantUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "transactionAmount": "10.00",
    "transactionCurrency": "AUD",
    "transactionID": "1-a1c340c8-7c30-11de-8888-000c29753ad4",
    "refundAmount": "10.00",
    "hash": "e9ddc296b76b3398934bfc06239073df",
    "storeID": "Test store name",
    "transactionReferenceID": "A257240023321",
    "networkTransactionID": "MCCMWABC123456"
}'
Response Response Example
{
    "custom1": [],
    "custom2": [],
    "custom3": [],
    "responseMessage": "Transaction approved",
    "transactionReferenceID": "12345",
    "responseCode": "0",
    "authCode": "731357634",
    "authResponseCode": "08",
    "transactionID": "1336-1b7762bc-b610-11e6-b9c3-005056b209e0",
    "receiptNo": "731357634",
    "customHash": "65b172551b7d3a0706c0ce5330c98470",
    "authSettledDate": "2016-11-30",
    "authMessage": "Honour with identification"
}
Modified at 2026-08-07 06:24:13
Previous
retrieveBatch (JSON Notify)
Next
queryCard
Built with